Index: sys/net/if.c
===================================================================
--- sys/net/if.c	(revision 358732)
+++ sys/net/if.c	(working copy)
@@ -1308,6 +1308,9 @@
 	if (ifp->if_reassign != NULL)
 		ifp->if_reassign(ifp, new_vnet, NULL);
 
+/*	if (ifp->if_flags & IFF_DYING)
+		return;
+*/
 	/*
 	 * Switch to the context of the target vnet.
 	 */
Index: sys/net/if_epair.c
===================================================================
--- sys/net/if_epair.c	(revision 358732)
+++ sys/net/if_epair.c	(working copy)
@@ -611,8 +611,9 @@
 	struct epair_softc *sc;
 	
 	sc = ifp->if_softc;
-	KASSERT(sc != NULL, ("%s: ifp=%p, epair_softc gone? sc=%p\n",
-	    __func__, ifp, sc));
+	if (sc == NULL)
+		return;
+
 	/*
 	 * Remove this ifp from all backpointer lists. The interface will not
 	 * usable for flushing anyway nor should it have anything to flush
